%define name gconfpref
%define version 0.0.1
%define release 2mdk

Name: %name
Summary: Another configuration tools for gconf
Version: %{version}
Release: %{release}
License: GPL
Url: http://www.angelfire.com/linux/dbrody/gconfpref.html
Group: Graphical desktop/GNOME
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/build-root-%{name}

BuildRequires: automake >= 1.4
Buildrequires: libgnome2-devel >= 2.0
Buildrequires: libgnomeui2-devel >= 2.0
Buildrequires: libatk1.0_0-devel >= 1.0
Buildrequires: libpango1.0_0-devel >= 1.0
Buildrequires: libgnomecanvas2_0-devel >= 2.0
Buildrequires: libGConf2_4-devel >= 2.0
Buildrequires: libgnome-vfs2_0-devel >= 2.0

%description
Gconfpref is a user friendly gconf editor.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
%setup -q

%build
%configure

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std

mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%name):command="%{_bindir}/gconfpref" icon="configuration_section.png" \
                needs="X11" section="Configuration/GNOME" \
 title="Gconfpref" longtitle="Edit your gnome preferences" needs="gnome"
EOF

%find_lang %name --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root,0755)
%{_bindir}/*
%{_menudir}/%{name}

%changelog
* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.1-2mdk
- Fix menu entry

* Thu Jul 31 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.1-1mdk 
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
    - Make a spec file
